#include <iostream>
#include <algorithm>
#include <cmath>

using namespace std;

int main()
{
    int x, y;
    cin >> x >> y;
    int broj = 0;
    int n = 1;
    if(max(x,y) == x){
        for(int i = x; i > 0; i = i / 10){
            if(i / 10 != 0){
                n++;
            }else{
                break;
            }
        }
    }else if(max(x,y) == y){
        for(int i = y; i > 0; i = i / 10){
            if(i / 10 != 0){
                n++;
            }else{
                break;
            }
        }
    }
    
    for(int i = 10; i <= pow(10,n); i = i * 10){
        if(x % 10 > y % 10){
            broj = broj + (x % 10) * (i / 10);
        }else if(y % 10 > x % 10){
            broj = broj + (y % 10) * (i / 10);
        }else if(x % 10 == y % 10 && x != 0  && y != 0){
            broj = broj + (x % 10) * 11 * (i / 10);
            i = i * 10;
            n++;
        }else{
            broj = broj + (x % 10) * (i / 10);
        }
        x = x / 10;
        y = y / 10;
    }
    cout << broj;

    return 0;
}